Module | Amalgalite::SQLite3::Version
In: | lib/amalgalite/sqlite3/version.rb lib/amalgalite/sqlite3/version.rb

### Methods

compiled_matches_runtime? compiled_matches_runtime? to_a to_a

### Constants

MAJOR | = | (to_i / 1_000_000).freeze |  | major version number of the SQLite C library
MINOR | = | ((to_i % 1_000_000) / 1_000).freeze |  | minor version number of the SQLite C library
RELEASE | = | (to_i % 1_000).freeze |  | release version number of the SQLite C library
MAJOR | = | (to_i / 1_000_000).freeze |  | major version number of the SQLite C library
MINOR | = | ((to_i % 1_000_000) / 1_000).freeze |  | minor version number of the SQLite C library
RELEASE | = | (to_i % 1_000).freeze |  | release version number of the SQLite C library

### Public Class methods

compiled_matches_runtime?()
compiled_matches_runtime?()
Amalgalite::SQLite3::Version.to_a → [ MAJOR, MINOR, RELEASE ]

Return the SQLite C library version number as an array of MAJOR, MINOR, RELEASE

Amalgalite::SQLite3::Version.to_a → [ MAJOR, MINOR, RELEASE ]

Return the SQLite C library version number as an array of MAJOR, MINOR, RELEASE

[Validate]